package logging;

public class LoggerFactory {
    public static Logger createLogger(Class<?> clazz) {
        // Тут выбираешь реализацию по флагу/условию
        //if (isAndroid()) {
            return new AndroidLogger(clazz);
        //} else {
        //    return new SLF4JLogger(clazz);
        //}
    }

    private static boolean isAndroid() {
        try {
            Class.forName("android.os.Build");
            return true;
        } catch (ClassNotFoundException e) {
            return false;
        }
    }
}